View Single Post
Old 12-25-04, 10:45 PM   #1
sprocket87
Registered User
 
Join Date: Dec 2004
Posts: 1
Default nForce driver won't work - Libranet 2.8.1

Hey all, more or less of a noob here, I've dabbled with Linux on and off and know my way around, but I'm stuck at the moment. Just installed Libranet 2.8.1 and it autodetected all my devices fine, except the NIC. I have the A7N8X or some variation, and I downloaded the newest NFORCE-Linux0x86-1.0-0292 pkg from the site.

The first time I ran "sh NFORCE......" and got something about the kernel source not being found. I thought I had opted to include the extra source packages when I did the OS install, but just for fun I tooled around in the XAdminmenu kernel app and it recompiled or something (sorry for the lack of specifics )

Anyway, now when I run it I get the following:

"No precompiled kernel interface was found to match your kernel..."
"Installer will compile a new kernel interface" (or something)
Then a progress bar appears, gets to about 15%, and then dies with an error message:
"Unable to build"

I checked the log and I forgot to write down exactly what part it choked at, I can try again if you need to know (its just a pain cause I have to reboot into Windows to get on the Internet now )

Also, this Libranet 2.8.1 is the 2.4.21 kernel. I read that this kernel should have the forcedeth module which should support my NIC, but I can't find it when I run the config prog. I've also tried a "modprobe forcedeth", but it said "module not found" or something. Eh?

Any help out there? Thanks all!

Jesse
sprocket87 is offline   Reply With Quote